Weather Forecast Application is an application which uses your current location to give current location and current day weather forecast. This application need location access to display weather data. Application has two screens login screen and forecast screen. Login screen has static user name and password to login. On forecast screen weather details like current temperature, minimum temperature of the day, maximum temperature of the day, humidity, pressure and wind speed is displayed for current location. Open Weather Api is used in this application to fetch the live data. As a programming lagnuage Java is  used. For REST Client Retrofit is used.
